View Issue Details

IDProjectCategoryView StatusLast Update
0004923SOGoActiveSyncpublic2020-01-17 06:38
Reporterondrej.kolin Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformClientOSAndroid 
Fixed in Version4.3.0 
Summary0004923: NSInvalidArgumentException REASON:-[SOGoAppointmentObject resourceHasAutoAccepted]:
Description

Some events on Android Outlook are not synchronized to the server. This causes an exception to be raised in the log file. With EAS enabled, such output is shown:

Btw. There were two events in this Sync, but I removed the one which contained our sensitive data.

Jan 06 14:48:06 sogod [1564]: <0x0x562dc4685830[SOGoActiveSyncDispatcher]> EAS - request for device 4E696E65343036434243433635444345: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/&quot;>
<Sync xmlns="AirSync:">
<Collections>
<Collection>
<SyncKey>1578312260</SyncKey>
<CollectionId>vevent%2Fpersonal</CollectionId>
<DeletesAsMoves>1</DeletesAsMoves>
<GetChanges>1</GetChanges>
<WindowSize>8</WindowSize>
<Options>
<FilterType>5</FilterType>
<Conflict>1</Conflict>
<BodyPreference xmlns="AirSyncBase:">
<Type>1</Type>
<TruncationSize>20480</TruncationSize>
<AllOrNone>0</AllOrNone>
</BodyPreference>
</Options>
<Commands>
<Add>
<ClientId>93fe978d-3d07-43d0-93a5-9ef424f195ef</ClientId>
<ApplicationData>
<TimeZone xmlns="Calendar:">xP///wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAoAAAAFAAMAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAAAAFAAIAAAAAAAAAxP///w==</TimeZone>
<DTStamp xmlns="Calendar:">20200106T134805Z</DTStamp>
<StartTime xmlns="Calendar:">20200115T133000Z</StartTime>
<Subject xmlns="Calendar:">Test 9</Subject>
<UID xmlns="Calendar:">93fe978d-3d07-43d0-93a5-9ef424f195ef</UID>
<Organizer_Email xmlns="Calendar:">user@benocs.com</Organizer_Email>
<Location xmlns="Calendar:"/>
<EndTime xmlns="Calendar:">20200115T143000Z</EndTime>
<Body xmlns="AirSyncBase:">
<Type>1</Type>
<Data></Data>
</Body>
<Categories xmlns="Calendar:"/>
<Sensitivity xmlns="Calendar:">0</Sensitivity>
<BusyStatus xmlns="Calendar:">2</BusyStatus>
<AllDayEvent xmlns="Calendar:">0</AllDayEvent>
<Reminder xmlns="Calendar:">15</Reminder>
<MeetingStatus xmlns="Calendar:">0</MeetingStatus>
<DisallowNewTimeProposal xmlns="Calendar:">0</DisallowNewTimeProposal>
<ResponseRequested xmlns="Calendar:">1</ResponseRequested>
</ApplicationData>
</Add>
<Delete>
<ServerId>7369-5E132100-1B-4E3F8700</ServerId>
</Delete>
</Commands>
</Collection>
</Collections>
</Sync>
2020-01-06 14:48:06.840 sogod[1564:1564] EXCEPTION: <NSException: 0x562dc40a9cb0> NAME:NSInvalidArgumentException REASON:-[SOGoAppointmentObject resourceHasAutoAccepted]: unrecognized selector sent to instance 0x562dc4049cb0 INFO:(null)

TagsNo tags attached.

Relationships

has duplicate 0004925 resolvedfrancis La synchronisation de l'évenement à échouée 
has duplicate 0004922 resolvedfrancis Error syncing Android Calendar 

Activities

ondrej.kolin

ondrej.kolin

2020-01-06 09:01

reporter   ~0014022

Client is Samsung Galaxy S9 Android 9 Outlook.

Related Changesets

sogo: master 91ca8b8b

2020-01-06 09:40:25

francis

Details Diff
fix(calendar): restore [SOGoAppointmentObject resourceHasAutoAccepted]

This method is used for ActiveSync support.

Fixes 0004923
Affected Issues
0004923
mod - SoObjects/Appointments/SOGoAppointmentObject.h Diff File
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff File

sogo: master d8fab6bb

2020-01-16 10:43:42

francis

Details Diff
fix(calendar): restore [SOGoAppointmentObject resourceHasAutoAccepted]

Fixes 0004923
Affected Issues
0004923
mod - SoObjects/Appointments/SOGoAppointmentObject.m Diff File

Issue History

Date Modified Username Field Change
2020-01-06 08:53 ondrej.kolin New Issue
2020-01-06 09:01 ondrej.kolin Note Added: 0014022
2020-01-06 09:41 francis Changeset attached => sogo master 91ca8b8b
2020-01-06 09:41 francis Assigned To => francis
2020-01-06 09:41 francis Resolution open => fixed
2020-01-06 09:42 francis Status new => resolved
2020-01-06 09:42 francis Fixed in Version => 4.3.0
2020-01-07 10:50 francis Relationship added has duplicate 0004925
2020-01-16 10:44 francis Changeset attached => sogo master d8fab6bb
2020-01-16 10:46 francis Relationship added has duplicate 0004922